%define aurox_ver 11.0
%define rel 1


Summary: Intel PRO/Wireless 2200 Driver for Linux
Name: ipw2200
Version: 2.2
Release: %{aurox_ver}.aur.%{rel}
License: distributable
Group: System Environment/Kernel
URL: http://ipw2200.sourceforge.net
Source: http://bughost.org/firmware/%{name}-fw-%{version}.tgz
Requires: hotplug >= 3:2004_04_01-5
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
This project was created by Intel to enable support for the Intel
PRO/Wireless 2200BG and 2915ABG Network Connection miniPCI adapters. This
project (IPW2200) is intended to be a community effort as much as is
possible given some working constraints (mainly, no HW documentation is
available).

%package firmware
Summary: Intel PRO/Wireless 2200 firmware
Group: System Environment/Kernel
URL: http://ipw2200.sourceforge.net/firmware.php

%description firmware
This package contains the firmware needed to run the the Intel PRO/Wireless
2200BG and 2915ABG Network Connection mini PCI adapter. The firmware is
subject to terms found in /lib/firmware/LICENSE.ipw2200.

%prep
%setup -q -c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p *.fw %{buildroot}/lib/firmware/
install -p LICENSE %{buildroot}/lib/firmware/LICENSE.ipw2200

%clean
rm -rf %{buildroot}

%files firmware
%defattr(-,root,root)
/lib/firmware/*.fw
/lib/firmware/LICENSE.ipw2200

%changelog
* Thu Aug 04 2005 Karol Kozimor <kkozimor@aurox.org> 2.2-11.0.aur.1
- Rebuild.

* Fri Feb 11 2005 Aurox Team <aurox@aurox.org> 2.2-10.2.aur.1
- IPW2200 1.0.0.

* Wed Nov 10 2004 Aurox Team <aurox@aurox.org> 2.0-10.1.aur.1
- IPW2200 0.12.

* Tue Nov 10 2004 Aurox Team <aurox@aurox.org>
- Initial release.

